<h2>Top Heroes</h2>
<div class="main">
    <mat-card *ngFor="let hero of topHeroes" class="card">
        <a routerLink="/detail/{{hero.id}}" class="link">
            <mat-card-header>
                <mat-card-title>{{hero.name}}</mat-card-title>
            </mat-card-header>
        </a>
    </mat-card>
</div>

<!-- SEARCH -->
<div id="search-component">
    <h2>Hero search</h2>
    <form>
        <mat-form-field color="accent">
            <input type="text"
                   placeholder="Search by name"
                   aria-label="Heroes"
                   matInput
                   [formControl]="heroesControl"
                   [matAutocomplete]="auto">
            <mat-autocomplete #auto="matAutocomplete">
                <mat-option *ngFor="let hero of heroes$ | async" [value]="hero" routerLink="/detail/{{hero.id}}" class="link">
                    {{hero.name}}
                </mat-option>
            </mat-autocomplete>
        </mat-form-field>
    </form>
</div>
